List Ankra Cloud pricing
import requests
url = "https://platform.ankra.app/api/v1/clusters/ankracloud/pricing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/ankracloud/pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/ankracloud/pricing \
--header 'Authorization: Bearer <token>'{
"plans": [
{
"available": true,
"cores": 2,
"family": "c",
"memory_mebibytes": 4096,
"name": "c2-4",
"price_hourly_millicents": 1644,
"price_monthly_cents": 1200,
"storage_gibibytes": 80
}
],
"pricing_complete": true
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Ankra Cloud Clusters
List Ankra Cloud pricing
Bearer PAT authentication; RBAC permission clusters. RBAC permission clusters.read. Storage tier prices and the public IPv4 add-on price, in cents; incomplete pricing carries explicit reasons. Answers 404 while the organisation's ankra_cloud_provider` feature flag is off.
GET
/
api
/
v1
/
clusters
/
ankracloud
/
pricing
List Ankra Cloud pricing
import requests
url = "https://platform.ankra.app/api/v1/clusters/ankracloud/pricing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.ankra.app/api/v1/clusters/ankracloud/pricing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://platform.ankra.app/api/v1/clusters/ankracloud/pricing \
--header 'Authorization: Bearer <token>'{
"plans": [
{
"available": true,
"cores": 2,
"family": "c",
"memory_mebibytes": 4096,
"name": "c2-4",
"price_hourly_millicents": 1644,
"price_monthly_cents": 1200,
"storage_gibibytes": 80
}
],
"pricing_complete": true
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": "Cluster not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Cluster not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
PAT organisation override.
Query Parameters
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Monthly price of the public IPv4 add-on the bastion carries.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes